%define modname mongodb
%define soname %{modname}.so
%define inifile B04_%{modname}.ini
#define beta RC1

Summary:	MongoDB driver for PHP
Name:			php-%{modname}
Version:	1.9.0
Release:	%mkrel 2
Group:		Development/PHP
License:	Apache License
URL:			http://pecl.php.net/package/mongodb/
Source0:	https://pecl.php.net/get/%{modname}-%{version}%{?beta}.tgz
Source1:	mongodb.ini
BuildRequires:	php-devel >= 3:8.0.0
BuildRequires:	pkgconfig(libpcre2-posix)
Requires:       php >= 3:8.0.0
Requires:       php-common = 3:8.0
Obsoletes:	php-mongo < 1.9.0

%description
The purpose of this driver is to provide exceptionally thin glue between MongoDB
and PHP, implementing only fundamental and performance-critical components
necessary to build a fully-functional MongoDB driver.

%prep

%setup -q -n %{modname}-%{version}%{?beta}
[ "../package*.xml" != "/" ] && mv ../package*.xml .

cp %{SOURCE1} %{inifile}


%build
%serverbuild

phpize
%configure --with-libdir=%{_lib}
%make_build
mv modules/*.so .

%install

install -d %{buildroot}%{_libdir}/php/extensions
install -d %{buildroot}%{_sysconfdir}/php.d

install -m0755 %{soname} %{buildroot}%{_libdir}/php/extensions/
install -m0644 %{inifile} %{buildroot}%{_sysconfdir}/php.d/%{inifile}



%files
%doc README.md package*.xml
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/php.d/%{inifile}
%attr(0755,root,root) %{_libdir}/php/extensions/%{soname}





%changelog
* Mon Nov 30 2020 mokraemer <mokraemer> 1.9.0-2.mga8
+ Revision: 1650463
- added build-requirement
- missing src

* Thu Nov 26 2020 mokraemer <mokraemer> 1.9.0-1.mga8
+ Revision: 1649371
- new version 1.9.0

* Tue Oct 06 2020 mokraemer <mokraemer> 1.8.1-1.mga8
+ Revision: 1632416
- new version 1.8.1

* Wed Jul 08 2020 mokraemer <mokraemer> 1.7.5-1.mga8
+ Revision: 1602971
- new version 1.7.5

* Thu Jun 18 2020 mokraemer <mokraemer> 1.7.4-2.mga8
+ Revision: 1596254
- fix dep to current version

* Thu Mar 12 2020 mokraemer <mokraemer> 1.7.4-1.mga8
+ Revision: 1555767
- new version 1.7.4

* Thu Feb 20 2020 umeabot <umeabot> 1.7.2-2.mga8
+ Revision: 1546957
- Mageia 8 Mass Rebuild

* Fri Feb 14 2020 mokraemer <mokraemer> 1.7.2-1.mga8
+ Revision: 1518636
- new version 1.7.2

* Wed Feb 05 2020 mokraemer <mokraemer> 1.7.1-1.mga8
+ Revision: 1487322
- new version 1.7.1
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Dec 09 2019 mokraemer <mokraemer> 1.6.1-1.mga8
+ Revision: 1465311
- new version 1.6.1

* Fri Nov 29 2019 mokraemer <mokraemer> 1.6.0-2.mga8
+ Revision: 1463533
+ rebuild (emptylog)

* Mon Sep 09 2019 mokraemer <mokraemer> 1.6.0-1.mga8
+ Revision: 1439088
- new version 1.6.0

* Sun Jun 30 2019 mokraemer <mokraemer> 1.5.5-1.mga8
+ Revision: 1416305
- new version 1.5.5

* Wed Dec 12 2018 mokraemer <mokraemer> 1.5.3-3.mga7
+ Revision: 1340447
- rebuild

* Fri Oct 26 2018 mokraemer <mokraemer> 1.5.3-2.mga7
+ Revision: 1325760
- updated requirements

* Fri Sep 21 2018 mokraemer <mokraemer> 1.5.3-1.mga7
+ Revision: 1294249
- new version 1.5.3

* Thu Aug 02 2018 mokraemer <mokraemer> 1.5.2-1.mga7
+ Revision: 1246925
- new version 1.5.2

* Tue Jul 10 2018 mokraemer <mokraemer> 1.5.1-1.mga7
+ Revision: 1242978
- new version 1.5.1

* Tue Jun 26 2018 mokraemer <mokraemer> 1.5.0-1.mga7
+ Revision: 1239881
- new version 1.5.0

* Thu May 03 2018 mokraemer <mokraemer> 1.4.3-1.mga7
+ Revision: 1225711
- new version 1.4.3

* Wed Mar 07 2018 mokraemer <mokraemer> 1.4.2-1.mga7
+ Revision: 1207142
- new version 1.4.2

* Wed Feb 28 2018 mokraemer <mokraemer> 1.4.1-1.mga7
+ Revision: 1205758
- new version 1.4.1

* Fri Feb 09 2018 mokraemer <mokraemer> 1.4.0-2.mga7
+ Revision: 1199836
- new version 1.4.0

* Thu Jan 25 2018 mokraemer <mokraemer> 1.4.0-1.RC1.mga7
+ Revision: 1197198
- new version RC1

* Fri Dec 22 2017 mokraemer <mokraemer> 1.4.0-0.beta1.mga7
+ Revision: 1184005
- new version with bug fixes

* Mon Dec 04 2017 mokraemer <mokraemer> 1.3.4-2.mga7
+ Revision: 1181140
- added php mongodb driver
- Created package structure for php-mongodb.

